# Uses of Interface
org.bukkit.block.CreatureSpawner

Packages that use CreatureSpawner
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of CreatureSpawner in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return CreatureSpawner
Modifier and Type
Method
Description
`@NotNull CreatureSpawner`
SpawnerSpawnEvent.`getSpawner()`
Constructors in org.bukkit.event.entity with parameters of type CreatureSpawner
Modifier
Constructor
Description
``
`SpawnerSpawnEvent(@NotNull Entity spawnee, @NotNull CreatureSpawner spawner)`